Skip to content

PropertyRadar API (5.0.0.0)

PropertyRadar Public API

Download OpenAPI description
Languages
Servers
https://api.propertyradar.com

Properties

Find owners, properties, parcels and documents

Operations

Persons

View and Export owners, including trusts & business entities

Find and purchase phones and emails and get details on property owners, called "Contacts" in the app.

Operations

Lists

About Lists
View and manage potential customers and properties, by sorting properties into organized groups, called lists

PropertyRadar supports 3 different kinds of lists, and each type can be monitored or unmonitored.

Dynamic lists
Dynamic lists are created from a Criteria object, and are updated automatically when monitored. If a Dynamic list is unmonitored, it is updated whenever you make a call to view the items in the list, such as Properties from Criteria (using InList), or View list items.

Static lists
Static Lists are created by adding properties to a list using Add items to list. They do not have search criteria. Properties on Static lists only change when you add or remove properties, or set up an automation to do so.

Import lists
With import lists, you provide raw unmatched data such as addresses or emails via Match and import to list, and we match that data with our records and create a list of matching records.

Operations

Suggestions

Get typeahead menus

Operations

Integrations

Connect PropertyRadar to your sales, marketing, and productivity apps

Operations

View all webhooks

Request

Returns all active webhooks

Security
api_key_bearer
Query
FieldsArray of strings

A list of fields or fieldsets the client would like returned from the service. Fields can be suppressed by prepending "-"

Items Enum"WebhookID""HookUrl""WebhookName""ClientName""Secret""-WebhookID""-HookUrl""-WebhookName""-ClientName""-Secret"
Limitinteger

Maximum number of records to return.

Default 100
Example: Limit=10
Sortstring

Comma-delimited list of fields upon which to sort.

Default "WebhookID"
Dirstring

Comma-delimited list of directions (asc or desc) for fields provided in Sort param. For instance if you were sorting on A ascending first, then on B descending (in cases of multiple identical values of A) you would specify &Sort=A,B&Dir=asc,desc

Default "asc"
Enum"desc""asc"
Startinteger

Offset from which to begin returning records. Used for paging.

Default 0
curl -i -X GET \
  'https://api.propertyradar.com/v1/integrations/webhooks?Fields=WebhookID&Limit=10&Sort=WebhookID&Dir=desc&Start=0' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ { … } ] }

Register new webhook

Request

Creates a new webhook

Security
api_key_bearer
Bodyapplication/jsonrequired
HookUrlstringrequired

Webhook URL

Example: "https://hooks.zapier.com/hooks/standard/1234/a1b2c3d4e5/"
WebhookNamestringrequired

Webhook name

Example: "Zap Trigger"
Secretstring

If present, will be sent to the webhook as the bearer security token in the HTTP Authorization header

Example: "1a2b3c4d"
ListsArray of objects

Array of ListIDs. If provided, automations will be created and turned on for each of the given ListIDs

Example: [123,456]
curl -i -X POST \
  https://api.propertyradar.com/v1/integrations/webhooks \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "HookUrl": "https://hooks.zapier.com/hooks/standard/1234/a1b2c3d4e5/",
    "WebhookName": "Zap Trigger",
    "Secret": "1a2b3c4d",
    "Lists": [
      123,
      456
    ]
  }'

Responses

Success

Bodyapplication/json
resultsArray of objects
Response
application/json
{ "results": [ { … } ] }

Delete a webhook

Request

Deletes an existing webhook given the Id

Security
api_key_bearer
Path
WebhookIDintegerrequired

Unique identifier for the webhook.

Example: 123
curl -i -X DELETE \
  https://api.propertyradar.com/v1/integrations/webhooks/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
deleteCountinteger

The number of items deleted during the execution of the request.

Example: 1
Response
application/json
{ "deleteCount": 1 }

Imports

Import and match properties and people

Operations

Automations

Configure Alerts and Automations

Operations

Accounts

Account info and preferences

Operations

Documents

Get and edit documents that make up the transaction history for a property

Operations